All Data Structures Namespaces Files Functions Variables Pages
wthmng.php
Go to the documentation of this file.
<?php
if(!defined('IN_ADMIN')) {
exit('Access Denied');
}
if($mygroup < 3){
exit($_ERROR['no_power']);
}
global $wth,$now;
if($chg == 1 && $wth){
echo '当前天气修改为：'.$wthinfo[$wth];
$weather = $wth;
save_gameinfo();
adminlog('wthchg',$wth);
naddnews($now,'syswthchg',$wth);
}else{echo "当前天气：{$wthinfo[$weather]}<br />";}
$i=0;$wthlog = '';
foreach($wthinfo as $value){
$wthlog .= "<input type=\"radio\" name=\"wth\" id=\"$i\" value=\"$i\"><a onclick=sl('$i'); href=\"javascript:void(0);\" >$wthinfo[$i]</a> ";
$i++;
}
echo <<<EOT
<form method="post" name="wthmng" onsubmit="admin.php">
<input type="hidden" name="mode" value="gamemng">
<input type="hidden" name="command" value="wthmng">
<input type="hidden" name="chg" value="1">
$wthlog <br />
<input type="submit" name="submit" value="修改当前天气"></form>
EOT;
?>
$wthinfo
$wthinfo
Definition: resources_1.php:50
$wth
if(!defined('IN_ADMIN')) if($mygroup< 3) global $wth
Definition: wthmng.php:5
$wthlog
$wthlog
Definition: wthmng.php:19
$weather
$weather
Definition: gameinfo.php:11
$_ERROR
$_ERROR
Definition: resources_1.php:1044
$now
if(!defined('IN_ADMIN')) if($mygroup< 3) global $now
Definition: wthmng.php:5
value
value
Definition: 1_alive.tpl.php:10
$i
$i
Definition: wthmng.php:19
adminlog
adminlog($op, $an1='', $an2='', $an3='')
Definition: admin.php:58
save_gameinfo
save_gameinfo()
Definition: global.func.php:304